/*
 * Glue functions for X86 code.
 *
 * Exit function gets an argument in %ebx,
 * and it returns that value to the caller function.
 */
	.text
	.align	4
	.global	__exit_frame
	.global	__exit
	.global do_exit

	/* Exit frame is the first block in the memory table */
	.long	0
	.long	0
__exit_frame:

	/* __exit is a closure */
	.long	0
__exit:
	movl	%ebx,%eax
	popl	%ebp
	popl	%edi
	popl	%esi
	popl	%edx
	popl	%ecx
	popl	%ebx
	ret

/*
 * Garbage collector pushes all the registers,
 * and the address of the calling function.
 */
	.global __gc
__gc:
	pushl	%ebp
	pushl	%edi
	pushl	%esi
	pushl	%edx
	pushl	%ecx
	pushl	%ebx
	pushl	%eax
	pushl	%esp
	call	gc
	addl	$4,%esp
	popl	%eax
	popl	%ebx
	popl	%ecx
	popl	%edx
	popl	%esi
	popl	%edi
	popl	%ebp
	ret
