(*
 * Intermediate code evaluator.
 *
 * ----------------------------------------------------------------
 *
 * @begin[license]
 * Copyright (C) 2000 Jason Hickey, Caltech
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Author: Jason Hickey
 * @email{jyh@cs.caltech.edu}
 * @end[license]
 *)

open Fc_ir_type
open Fc_ir_env

(*
 * Evaluation environment.
 *)
type venv

(*
 * A value.
 *)
type evalue

(*
 * Use the debugger.
 *)
val debug_eval : bool ref
val debug_trace : bool ref

(*
 * Evaluation.
 *)
val empty_venv : venv
val eval_expr : tenv -> venv -> var -> exp -> tenv * venv * evalue
val eval_main : tenv -> venv -> var -> string array -> tenv * venv * evalue

(*
 * Print a value.
 *)
val print_val : evalue -> unit

(*!
 * @docoff
 *
 * -*-
 * Local Variables:
 * Caml-master: "compile"
 * End:
 * -*-
 *)
